6.0.0-git
2019-04-25

[#8506] SyncML Nokia taskInCalendar case sensitive
Summary SyncML Nokia taskInCalendar case sensitive
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester c.denis (at) mrduck (dot) fr
Created 2009-08-19 (3536 days ago)
Due
Updated 2009-09-16 (3508 days ago)
Assigned 2009-08-20 (3535 days ago)
Resolved 2009-09-16 (3508 days ago)
Milestone
Patch No

History
2009-09-16 09:18:03 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2009-09-01 11:09:20 Jan Schneider Comment #4 Reply to this comment
Ping?
2009-08-20 16:09:04 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Try that patch?
2009-08-20 16:07:48 CVS Commit Comment #2 Reply to this comment
2009-08-19 18:47:16 c (dot) denis (at) mrduck (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ SyncML Nokia taskInCalendar case sensitive
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello,



i have noticed while trying to sync my E71 with horde via SyncML, that 
tasks created on the phone would not sync to horde. Everything else 
worked!!!



After some debugging i think i have tracked down the problem.  in 
framework/lib/SyncML/Sync.php



My phone is recognized correctly as Nokia and handleTasksInCalendar() 
returns the correct value 'true' and thereby calls for the database 
location:



$hordedatabase = $this->_taskdDbUriForCalendarDbUri($database);



     function _taskdDbUriForCalendarDbUri($databaseURI)

     {

         return str_replace('calendar', 'tasks', $databaseURI);

     }

but './Calendar' would fail to be replaced.



My new tasks got passed to kronolith instead of nag and would end with 
the following error:

ERR:    Error in adding client entry: No iCalendar data was found.



As it seems that everywhere else the name of the database is case 
insensitive i consider this a bug.



though it appears sufficient to use str_ireplace instead of str_replace.



hope this can spare someone else's time.

Saved Queries